Spigot Lift 73

A simple elevator plugin. Complete with feature creep!

  1. I found it. Just posted version 61. Fore those who care it was spamming what "version" of sign info that it detected.
     
  2. thank you for all the work you put into this plugin.
    i wasn't able to figure out why it was a 0 or a 2.
     
  3. Hi, we were trying our old world, yes we keep copies, to make the lifts to work. According to your info, and If I understood you right, it is simply replace the plugin and restart.
    We did, but the plugin does not move you in an existing elevator.... When on the console we ask the server for lift? This is what i get...
    >lift
    [21:57:14] [Server thread/WARN]: Unexpected exception while parsing console comm
    and "lift"
    org.bukkit.command.CommandException: Unhandled exception executing command 'lift
    ' in plugin Lift v60
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:47) ~[spi
    got-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:14
    9) ~[spigot-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at org.bukkit.craftbukkit.v1_14_R1.CraftServer.dispatchCommand(CraftServ
    er.java:709) ~[spigot-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at org.bukkit.craftbukkit.v1_14_R1.CraftServer.dispatchServerCommand(Cra
    ftServer.java:694) [spigot-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at net.minecraft.server.v1_14_R1.DedicatedServer.handleCommandQueue(Dedi
    catedServer.java:433) [spigot-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at net.minecraft.server.v1_14_R1.DedicatedServer.b(DedicatedServer.java:
    397) [spigot-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at net.minecraft.server.v1_14_R1.MinecraftServer.a(MinecraftServer.java:
    959) [spigot-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at net.minecraft.server.v1_14_R1.MinecraftServer.run(MinecraftServer.jav
    a:804) [spigot-1.14.3.jar:git-Spigot-935adb3-bf32933]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_201]
    Caused by: java.lang.ArrayIndexOutOfBoundsException: 0
    at net.croxis.plugins.lift.BukkitLift.onCommand(BukkitLift.java:114) ~[?
    :?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:45) ~[spi
    got-1.14.3.jar:git-Spigot-935adb3-bf32933]
    ... 8 more
    After some testing, making a simple lift, buttons and signs, it still did not work....
    Can you help us?
     
    #84 Ms_Killer01, Jul 2, 2019
    Last edited: Jul 2, 2019
  4. Can I try something on a other server? Yes, it works there! Great!!! What's the difference? well, on this new server there never has been a lift before....
    Ok, gonna remove the config...(y)
     
  5. I came up against the same error. Removing the config file plugins/Lift/config.yml DID fix the issue
     
    #86 SDpyro, Sep 25, 2019
    Last edited: Sep 25, 2019
  6. FYI, a few errors/bugs I have found Lift 61
    Lift 61 shows as version 60 in the system logs upon startup
    When you run the "lift" command in the console it generates an exception (note the v60 in the trace)

    Code (Text):
    [09:41:42 WARN]: Unexpected exception while parsing console command "lift"
    org.bukkit.command.CommandException: Unhandled exception executing command 'lift' in plugin Lift v60
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:47) ~[spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:149) ~[spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at org.bukkit.craftbukkit.v1_14_R1.CraftServer.dispatchCommand(CraftServer.java:710) ~[spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at org.bukkit.craftbukkit.v1_14_R1.CraftServer.dispatchServerCommand(CraftServer.java:695) [spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at net.minecraft.server.v1_14_R1.DedicatedServer.handleCommandQueue(DedicatedServer.java:430) [spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at net.minecraft.server.v1_14_R1.DedicatedServer.b(DedicatedServer.java:394) [spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at net.minecraft.server.v1_14_R1.MinecraftServer.a(MinecraftServer.java:970) [spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at net.minecraft.server.v1_14_R1.MinecraftServer.run(MinecraftServer.java:815) [spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            at java.lang.Thread.run(Thread.java:748) [?:1.8.0_212]
    Caused by: java.lang.ArrayIndexOutOfBoundsException: 0
            at net.croxis.plugins.lift.BukkitLift.onCommand(BukkitLift.java:114) ~[?:?]
            at org.bukkit.command.PluginCommand.execute(PluginCommand.java:45) ~[spigot-1.14.4-R0.1-94af569-a3fdef8.jar:git-Spigot-94af569-a3fdef8]
            ... 8 more
     
  7. I can't seem to figure out how to use this with redstone. I can neither make redstone trigger a lift, nor how to make a lift trigger redstone. Please, any help would be appreciated.
     
  8. Hello,

    I use v1.15.1 with version 63 and i still get these errors :

    Code (Text):
    27/01/2020 18:55:45 [ERROR] Error occurred while enabling Lift v63 (Is it up to date?)
    27/01/2020 18:55:45 java.lang.IllegalArgumentException: No enum constant org.bukkit.Material.STAINED_GLASS
    27/01/2020 18:55:45 at java.lang.Enum.valueOf(Unknown Source) ~[?:1.8.0_231]
    27/01/2020 18:55:45 at org.bukkit.Material.valueOf(Material.java:1) ~[spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at net.croxis.plugins.lift.BukkitConfig.loadConfig(BukkitConfig.java:65) ~[?:?]
    27/01/2020 18:55:45 at net.croxis.plugins.lift.BukkitLift.onEnable(BukkitLift.java:68) ~[?:?]
    27/01/2020 18:55:45 at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:352) [spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:417) [spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at org.bukkit.craftbukkit.v1_15_R1.CraftServer.enablePlugin(CraftServer.java:462) [spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at org.bukkit.craftbukkit.v1_15_R1.CraftServer.enablePlugins(CraftServer.java:376) [spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at net.minecraft.server.v1_15_R1.MinecraftServer.a(MinecraftServer.java:456) [spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at net.minecraft.server.v1_15_R1.DedicatedServer.init(DedicatedServer.java:266) [spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at net.minecraft.server.v1_15_R1.MinecraftServer.run(MinecraftServer.java:783) [spigot-1.15.1.jar:git-Spigot-037559e-5c6b0dc]
    27/01/2020 18:55:45 at java.lang.Thread.run(Unknown Source) [?:1.8.0_231]
    Is there a way to correct this ?

    Thanks
     
  9. Is there a way to get this plugin to work in a multiverse map?
     
  10. Hi!, Would it be updated to Minecraft 1.15.2? The last version for 1.15.1 doesn't seem to work on my 1.15.2 server (Should it work?).
     
  11. It's working on 1.15.2
     
  12. @croxis Could it be possible to make privates elevators? If yes, the possibility to add trusted player to each elevator individualy would be awesome. Thanks
     
  13. Another suggestion: A clickable sign and no button. This way it'll take only 2 blocks high
     
  14. would you go far with such offers. the author does not add anything) no need to litter the plugin
     
  15. is this work for 1.16.1?
     
    • Useful Useful x 1
  16. croxis updated Lift with a new update entry:

    Easy floor selection!

    Read the rest of this update entry...